curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/refunds/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"bank_account_id": "string",
"base_currency_code": "str",
"base_currency_symbol": "string",
"batch_id": "string",
"business_unit_id": "string",
"cancellation_id": "string",
"cash_account_type": "bank",
"confirmation_email_recipients": [
"string"
],
"credit_id": "string",
"currency_code": "AED",
"currency_symbol": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"date": "2019-08-24",
"do_not_perform_electronic_refund": true,
"exchange_rate": 0.1,
"id": "string",
"ignore_payment_gateway_errors": true,
"line_items": [
{
"payment_line_item_id": null,
"refund_line_item_id": null,
"total": 0.1,
"total_in_base_currency": null
}
],
"memo": "string",
"merchant_account_id": "string",
"notes": "string",
"number": 0,
"order_id": "string",
"payment_id": "string",
"return_id": "string",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_search_composite_key": "string",
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"total": 0.1,
"total_in_base_currency": 0.1,
"transaction_id": "string",
"type": "credit",
"workflow_execution_id": "string"
}'